# ValidateSignature

### Description

Validates the signature of a digitally signed XML fragment.

```csharp
bool ValidateSignature(string xmlValue, string publicKey, out string errorMessage)
```

### Arguments

| Name         | Data Type | Description                                                                                          |
| ------------ | :-------: | ---------------------------------------------------------------------------------------------------- |
| xmlValue     |   string  | the digitally signed XML                                                                             |
| publicKey    |   string  | the RSA public encryption key (from Define Products / Encryption Keys / Non-Windows Encryption Keys) |
| errorMessage |   string  | returned error message if the validation fails                                                       |

### Return

| Data Type | Description                    |
| :-------: | ------------------------------ |
|    bool   | true if the signature is valid |

### Remarks

You should use this function to validate that the XML file returned by an XML file digitally signed by the QLM License Server is valid.

For example, you can use this function to validate the XML fragment returned by calling GetProductProperties.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/validatesignature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
